ctools - Feature #481

Make use of Gammal.ib test suite for unit testing
09/14/2012 11:56 PM - Knddliseder Jirgen

Status: Closed Start date:

Priority: Normal Due date:

Assigned To: Knédlseder Jurgen % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 00-08-00

Description

History

#1 - 09/14/2012 11:56 PM - Knodlseder Jiirgen
- Target version set to 00-06-00

#2 - 09/14/2012 11:57 PM - Knodlseder Jiirgen

The ctools unit test should make use of the Gammalib test suite so that the results can be collected for the records.

#3 - 11/19/2013 03:22 PM - Knodlseder Jiirgen
- Target version deleted (00-06-00)

#4 - 11/19/2013 03:26 PM - Knédlseder Jiirgen
- Target version set to 00-07-00

#5 - 01/19/2014 02:04 AM - Knddlseder Jiirgen
- Target version deleted (00-07-00)

#6 - 07/20/2014 09:31 PM - Knodlseder Jiirgen
- Status changed from New to In Progress
- Assigned To set to Knédlseder Jiirgen

- Target version set to 00-08-00

Get this now started ...

#7 - 07/20/2014 10:25 PM - Knodlseder Jiirgen
- % Done changed from 0 to 10

Some progress:
* | renamed the former test_python.py to test_pipelines.py and adapted this file to the GammalLib test suite usage.
* | created a new test_python.py script that imports all unit test scripts (inspired by the GammalLib test_python.py)
e | created a test_ctobssim.py test script to check the principle

| merged all this into the integration and devel branches and check test integration in Jenkins.
#8 - 07/20/2014 11:14 PM - Knodlseder Jiirgen
- Status changed from In Progress to Resolved

- % Done changed from 10 to 100

I now added (so far) empty test scripts for all ctools. Now we can start filling these scripts with unit tests. | do not consider this filling part of this action,
hence close this now.

#9 - 07/20/2014 11:18 PM - Knodlseder Jiirgen

- Status changed from Resolved to Closed

04/19/2024 22


http://www.tcpdf.org

